Australia Citizens
4 min
Data Zoo’s proprietary opt-in permission based marketing database.
For Authorization Get Session Token from Authentication page.
Australia Citizens
* Verification Outcome – Returns KYC verification
* Consumer Consent – N/A
* Mandatory Input – Name and (DOB or Address)
* Verifies – Name, DOB, Address, Phone number and Email
* Returned Data - metrix used for address matching logic, identity of the data source
POST
https://idu-test.datazoo.com/api/v2/verify
Header Parameters
- AuthorizationstringrequiredDescription
Body Parameters
- dataobjectrequiredDescription
- countryCodestringrequiredDescription
- servicearrayrequiredDescription
- clientReferencestringDescription
- firstNamestringrequiredDescription
- middleNamestringDescription
- lastNamestringrequiredDescription
- genderstringDescription
- dateOfBirthstringrequiredDescription
- addressElement1stringrequiredDescription
- addressElement3stringDescription
- addressElement4stringDescription
- addressElement5stringrequiredDescription
- identityVariablesobjectDescription
- phoneNostringDescription
- landlineNostringDescription
- emailstringDescription
Response
- countryCodestringDescription
- clientReferencestringDescription
- reportingReferencestringDescription
- validationErrorsstringDescription
- matchStatusstringDescription
- searchErrorMessagestringDescription
- safeHarbourbooleanDescription
- searchStatusstringDescription
- serviceResponsesobjectDescription
- statusintegerDescription
- sourceStatusstringDescription
- errorMessagestringDescription
- identityVerifiedbooleanDescription
- safeHarbourScorestringDescription
- nameMatchScorestringDescription
- addressMatchScorestringDescription
- verificationsobjectDescription
- addressElement1boolean
- addressElement3boolean
- addressElement4boolean
- addressElement5boolean
- dateOfBirthboolean
- emailboolean
- firstNameboolean
- genderboolean
- landlineNoboolean
- lastNameboolean
- middleNameboolean
- phoneNoboolean
- returnedDataobjectDescription
- altAddressMatchScorestringDescription
- altNameMatchScorestringDescription
- dpIdstringDescription
- sourcestringDescription
- remarksarrayDescription
curl
curl --location 'https://idu-test.datazoo.com/api/v2/verify' \
--header 'Content-Type: application/json' \
--header 'Authorization: ••••••' \
--data-raw '{
"countryCode": "AU",
"service": [
"Australia Citizens"
],
"clientReference": "Test_0001",
"firstName": "Aloysius",
"middleName": "Jefferson",
"lastName": "Pasco",
"dateOfBirth": "1946-11-01",
"addressElement1": "30 Plane Tree Green",
"addressElement3": "Forrestfield",
"addressElement4": "WA",
"addressElement5": "6058",
"identityVariables": {
"phoneNo": "0487787402",
"landlineNo": "0734086754",
"email": "[email protected]"
}
}
'200
{
"countryCode": "Australia",
"clientReference": "Test_0001",
"reportingReference": "DZ-88560fc7-686a-45f5-a29c-d1f667580850",
"matchStatus": "Full Match 1+1 Verification",
"searchErrorMessage": "",
"safeHarbour": false,
"searchStatus": "Successful",
"serviceResponses": {
"Australia Citizens": {
"status": 1,
"sourceStatus": "Successful",
"errorMessage": "",
"identityVerified": true,
"safeHarbourScore": "N1",
"nameMatchScore": "1.000",
"addressMatchScore": "1.000",
"verifications": {
"addressElement1": true,
"addressElement3": true,
"addressElement4": true,
"addressElement5": true,
"email": true,
"firstName": true,
"landlineNo": false,
"lastName": true,
"phoneNo": true
},
"returnedData": {
"altAddressMatchScore": "0",
"altNameMatchScore": "A1",
"dpId": "63233056",
"source": "DZ1"
}
}
},
"remarks": []
}404
{
"message": "Ain't no cake like that."
}
Mandatory input for Date of Birth and Address
Date of Birth and Address input are Required based on criteria:
Either dateOfBirth or street address with postcode must be provided (addressElement1 and addressElement5) as input.
Links
Change History
Added
Last updated - 10 March, 2025